/****** SETUP & FONTS */
@font-face {
    font-family: 'ITCAvantGarde';
    font-style: normal;
    font-weight: normal;
    src: url("../css/fonts/ITC Avant Garde Gothic Std Medium.otf");
}

@font-face {
    font-family: "Lato";
    font-style: normal;
    src: url("../css/fonts/Lato-Regular.ttf");
}

:root {
    --custom-primary-color: rgb(0, 50, 83);
    --custom-secondary-color: #c33d67;
    --custom-dark-color: #000;
    --custom-light-color: #fff;
    --custom-font: "Lato";
    --custom-header-font: "ITCAvantGarde";
    --nav-height: 90;

    --form-field-font-family: "Lato";
    --form-field-font-size: 1.2rem;
    --form-field-padding-y: 3px;
    --form-field-padding-y: 10px;
    --form-field-height: 30px;
    --form-field-width: 100px;

}

body {
    overflow-x: hidden;
    background-color: white;
}


* {
    font-family: var(--custom-font), "Roboto", "Arial", sans-serif;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

* {
    font-family: var(--custom-font), "Roboto", "Arial", sans-serif;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

h1,
h2,
h3,
h4,
h5,
h6,
h7,
h8,
h9,
 {
    font-family: var(--custom-header-font), "Roboto", "Arial", sans-serif;
    color: var(--custom-primary-color);
    text-transform: uppercase;
    margin-bottom: 10px;
    margin-top: 5px;
    margin-left: 0px;
}
h2 {
	
    margin-top: 10px;
    margin-left: 0px;
    margin-bottom: 10px;
	padding-top: 20px;
    padding-bottom: 10px;
    text-align: center;
}

hr {
    color: #f0f0f0;
    margin-top: 20px;
    margin-bottom: 20px;
}

.btn-primary, button>* {
    background-color: var(--custom-secondary-color);
}

#custom-topsection2 {
    background-color: var(--custom-primary-color);
    color: var(--custom-light-color);
    height: var(--nav-height);
}

/* custom to counteract h2 css (above)
	Removes white space around accordion headers from details view
*/
[id^="heading-"] {
    margin-top: 0px;
	padding-top: 0px;
    padding-bottom: 0px;
    }
	
#custom-topsection {
    background-color: var(--custom-primary-color);
    color: var(--custom-light-color);
    position: absolute;

    top: 0;
    z-index: 1;
    width: 100%;
    margin-bottom: 30px;
    padding: 10px; 
}

#custom-nav {
    float: right;
    margin: 0;
    position: absolute;
    right: 3%;
    top: 50%;
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}

#custom-nav2 {
    vertical-align: middle;
}


.logo a.logo-text {
    padding: 8px 0 6px 15px;
    color: var(--custom-light-color);
    text-transform: uppercase;
    display: inline-block;
    border-left: 4px solid var(--custom-secondary-color);
    font-family: var(--custom-header-font);

}

/* Center the Las vegas archived records vertically */
.logo>a.logo-text {
    position: absolute;
    top: 50%;
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}


/*All the Link / Button Fixing */
a {
    color: var(--custom-secondary-color);
    text-decoration: none;
}

a:hover {
    color: var(--custom-primary-color);
    text-decoration: underline;
}


a.page-link {
    background-color: white;
    color: var(--custom-secondary-color);
}
#bannerLink {
    color: var(--custom-secondary-color);
    text-decoration: none;
	font-variant:bold;
}



a.button,
a.btn,
a.btn.btn-small,
button.btn.btn-small,
li.page-item.active>a.page-link,
input.button,
button.button,
.custom-button,
.custom.btn-primary {
    border: 1px solid var(--custom-secondary-color) !important;
    background-color: var(--custom-secondary-color) !important;
    letter-spacing: 0.5px;
    text-align: center;
    color: #ffffff !important;
    font-weight: 500;
    transition: color 0.275s cubic-bezier(0.4, 0, 0.2, 1), background-color 0.275s cubic-bezier(0.4, 0, 0.2, 1), border-color 0.275s cubic-bezier(0.4, 0, 0.2, 1), box-shadow 0.275s cubic-bezier(0.4, 0, 0.2, 1);
    text-transform: uppercase;
}

a.btn.btn-small {
    display: inline-block;
    padding: 10px 10px 8px;
}

a.button,
input.button,
button.button,
button.custom-button,
.btn-primary {
    display: inline-block;
    font-size: 1.1rem;
    padding: 12px 18px 10px;
}

a.button:hover,
button.button:hover,
button.custom-button:hover,
a.btn.btn-small:hover,
.btn-primary:hover,
a.page-link:hover {
    background-color: transparent !important;
    border: 1px solid var(--custom-secondary-color) !important;
    color: var(--custom-secondary-color) !important;
}

/* Target the Menu Items dropdown */
.dropdown-menu li>a {
    color: var(--custom-secondary-color);
}

.dropdown-menu li>a:hover {
    color: white;
    background-color: var(--custom-secondary-color);
    opacity: .8;
}



/****** Repositioning / Redfining ***/
#contentwrapper,
#contentwrapper.no-menu {
    margin-top: var(--nav-height);
    padding: 150px 15%;
    background: var(--custom-light-color);
    min-width: 50%;
    position: absolute;
    left: 0px;
}


/*********************Search.cshtml **********************/
/*For the collapsable search fields*/
.accordion-heading .accordion-toggle {
    display: block;
    padding: 8px 15px;
    background-color: #333;
    color: #fff;
    border-radius: 3px;
}


textarea,
select,
input[type="text"],
input[type="password"],
input[type="datetime"],
input[type="datetime-local"],
input[type="dates"],
input[type="month"],
input[type="time"],
input[type="week"],
input[type="number"],
input[type="email"],
input[type="url"],
input[type="search"],
input[type="tel"],
input[type="color"],
.uneditable-input {
    background-color: #fff;
    height: 45px;
    /*width: 75%;*/
    border: 1px solid #ccc;
    padding-top: 0;
    padding-bottom: 0;
    padding-right: 0;
    padding-left: 10px;
    -webkit-box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);
    -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);
    -webkit-transition: border linear .2s, box-shadow linear .2s;
    -moz-transition: border linear .2s, box-shadow linear .2s;
    -o-transition: border linear .2s, box-shadow linear .2s;
    transition: border linear .2s, box-shadow linear .2s;

}

.control-group {
    padding-left: 30px;
    width: 90%;
    display: inline-block;
}

.field-group div.control-group>div.controls {
    margin-left: 0px;
}

div.control-group>label.control-label {
    width: 220px;
    padding-top: 0;
    text-align: left;
    color: #111;
}

.example-info {
    font-size: 16px;
    padding-bottom: 10px;
}

.search-disclaimer {
    background-color: var(--custom-secondary-color);
    color: white;
    margin: 30px;
    margin: 30px;
}

.help-pane.custom {
    z-index: 2;
    margin-top: 50px;
}

h1.help-pane,
h2.help-pane,
h3.help-pane,
h4.help-pane {
    color: var(--custom-primary-color);
}

.help-pane,
.help-pane>* {
    color: #222;
    text-align: left;
}

/* Form Styling */

/*Styles to Show or Hide The Search Options, replaces the accordian*/
.dropdown-visible {
    display: block;
}

.dropdown-hidden {
    display: none;
}

/* Dropdown Style Options */
.custom-select {
    height: 45px;
    width: 75%;
    border-radius: 0;
    padding-left: 10px;
    font-size: 1.1rem;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    Margin-left: 33px
}

/* Make sure that the dropdown arrow appears on the select options */
.show-caret {
    -webkit-appearance: menulist;
    -moz-appearance: menulist;
    appearance: menulist !important;
}

/* Make sure that the dropdown arrow appears on the datalist options */

input::-webkit-calendar-picker-indicator {
    opacity: 100;
}

/****************** RESULTS LIST **************/
table.table.trim-list.search-results th {
    color: var(--custom-primary-color);
    font-size: 1.3rem;
}

/****************** ADJUSTING FOR MOBILE **************/
@media only screen and (max-width: 820px) {

    #contentwrapper,
    #contentwrapper.no-menu {
        box-sizing: border-box; 
        padding: 25% 2% 50px;
        max-width: 100%;
        float: none; 
    }
}

@media only screen and (max-width: 640px) {

    body{
        max-width: 100%;
        box-sizing: border-box; 
    }

    #custom-banner-img{
        height: 75px;
    }

    #contentwrapper,
    #contentwrapper.no-menu {
        padding: 50% 2% 50px;
    }
    
    a.logo-text{
        font-size: 1.1rem;
        float: left;
    }

    a.button,
    input.button,
    button.button,
    button.custom-button,
    .btn-primary {
        display: inline-block;
        font-size: 1rem;
        padding: 8px 10px 8px;
    }

    .search-results a.btn.btn-small{
        font-size: .8rem;
        padding: 5px 6px 5px;
        margin-top: 2px;
    }

    table.table.trim-list.search-results th {
        color: var(--custom-primary-color);
        font-size: 1rem;
    }

    table.table.trim-list.search-results td {
        font-size: .9rem;
    }

    th, .search-results .nowrap {
        white-space: inherit;
    }

}	